from locust import HttpUser, between, task

from learn_sql_model.factories.hero import HeroFactory
from learn_sql_model.models.hero import HeroCreate


class QuickstartUser(HttpUser):
    wait_time = between(1, 2)

    @task
    def hello_world(self):
        self.client.get("/hero/1")
        self.client.get("/heros/")

    @task(3)
    def create_hero(self):
        hero = HeroFactory().build()
        HeroCreate(**hero.dict()).post()
